Show / Hide Table of Contents

# Class ServerInfo

Contract for information on the connected SQL Server instance.

##### Inheritance

System.Object
ServerInfo

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.Connection.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class ServerInfo

### Properties

| Improve this Doc View Source

#### AzureVersion

The version of Azure that the SQL Server instance is running on, if applicable.

##### Declaration

    public int AzureVersion { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### EngineEditionId

The ID of the engine edition of the SQL Server instance.

##### Declaration

    public int EngineEditionId { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### IsCloud

Whether the SQL Server instance is running in the cloud (Azure) or not.

##### Declaration

    public bool IsCloud { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### OsVersion

The Operating System version string of the machine running the SQL Server instance.

##### Declaration

    public string OsVersion { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### ServerEdition

The edition of the SQL Server instance.

##### Declaration

    public string ServerEdition { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### ServerLevel

String describing the product level of the server.

##### Declaration

    public string ServerLevel { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### ServerMajorVersion

The major version of the SQL Server instance.

##### Declaration

    public int ServerMajorVersion { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### ServerMinorVersion

The minor version of the SQL Server instance.

##### Declaration

    public int ServerMinorVersion { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### ServerReleaseVersion

The build of the SQL Server instance.

##### Declaration

    public int ServerReleaseVersion { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### ServerVersion

String containing the full server version text.

##### Declaration

    public string ServerVersion { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |